<div class="page-bar">
    <ul class="page-breadcrumb">
        <li>
            <span>Sistema</span>
            <i class="fa fa-circle"></i>
        </li>
        <li>
            <span>Parametros</span>
            <i class="fa fa-circle"></i>
        </li>
        <li>
            <span>Acao Retorno</span>
            <i class="fa fa-circle"></i>
        </li>
        <li>
            <span>Adcionar</span>
        </li>
    </ul>
</div>

<div class="portlet">
    <div class="portlet-title">
        <div class="caption">
            <i class="fa fa-pencil font-dark"></i>
            <span class="caption-subject font-dark bold uppercase">Atualizar ação de retorno</span>
        </div>
        <div class="actions">
            <a href="painel.php?exe=sistema/acao_retorno" class="btn btn-xs blue" alt="Voltar" title="Voltar"><i class="fa fa-arrow-left"></i></a>
        </div>
    </div>
    <div class="portlet-body">
        <?php
        $data = filter_input_array(INPUT_POST, FILTER_DEFAULT);
        $depid = filter_input(INPUT_GET, 'estid', FILTER_VALIDATE_INT);
        if (!empty($data['SendPostForm'])):
            unset($data['SendPostForm']);

            require('_models/AdminAcaoRetorno.class.php');
            $cadastra = new AdminAcaoRetorno;
            $cadastra->ExeUpdate($depid, $data);


            WSErro($cadastra->getError()[0], $cadastra->getError()[1]);

        else:
            $read = new Read;
            $read->ExeRead("tp_acao_retorno", "WHERE acao_retorno_id = :id", "id={$depid}");

            if (!$read->getResult()):
                header('Location: painel.php?exe=sistema/acao_retorno&empty=true');
            else:
                $data = $read->getResult()[0];
            endif;
//            echo '<pre>';
//            print_r($cadastra);
//            echo '</pre>';
        endif;

        $checkCreate = filter_input(INPUT_GET, 'create', FILTER_VALIDATE_BOOLEAN);
        if ($checkCreate && empty($cadastra)):
            WSErro("O acao <b>{$data['acao_retorno_nome']}</b> foi cadastrada com sucesso, continue atualizando.", WS_ACCEPT);
        endif;
        ?>
        <form class="form-horizontal" name="EstForm" role="form" method="POST" action="" enctype="multipart/form-data">
            <div class="form-body">
                <div class="form-group">
                    <label class="col-md-2 control-label">Situações de retorno
                        <span class="required">*</span>
                    </label>
                    <div class="col-md-10">
                        <input type="text" class="form-control" name="acao_retorno_nome" value="<?php if (isset($data['acao_retorno_nome'])) echo htmlspecialchars($data['acao_retorno_nome']); ?>"  placeholder="Situação de retorno"> 
                    </div>
                </div>
            </div>
            <div class="form-actions">
                <div class="row">
                    <div class="col-md-offset-2 col-md-10">  
                        <button type="submit" name="SendPostForm" value="enviar" class="btn btn-success"><i class="fa fa-save"></i> <span class="hidden-xs"> Cadastrar</span></button>
                    </div>
                </div>
            </div>
        </form>
        <hr>
    </div>   
</div>
<script type="text/javascript" src="<?= INCLUDE_PATH; ?>/js/jquery.form.min.js"></script>
<script>
    $('.j_categoria').submit(function () {
        var form = $(this);
        console.log(form);
        $(".trigger").remove();
        form.ajaxSubmit({
            url: '__jsc/ajax/categoria_create.php',
            dataType: 'json',
            data: {action: 'insert'},
            breforeSubmit: function () {
                console.log('antes');
            },
            uploadProgress: function () {
                console.log('durante');

            },
            success: function (data) {
                console.log(data)
                if (data.error[1] == 'accept') {
                    // document.location.href = 'painel.php?exe=mensagem/sucesso';
                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_categoria");
                    $('html, body').animate({scrollTop: 0}, 'slow');

                    // Limpando todos os campos do form
                    $(':input', '.j_categoria')
                            .not(':button, :submit, :reset, :hidden')
                            .val('')
                            .removeAttr('checked')
                            .removeAttr('selected');

                    // redefinir os valores iniciais do form
                    $('.j_categoria')[0].reset();
                } else {
                    $("<div class=\"trigger " + data.error[1] + "\">" + data.error[0] + "</div>").prependTo(".j_categoria");
                    $('html, body').animate({scrollTop: 0}, 'slow');
                }
            }
        })

        return false;
    });
</script>